# __File.py_____________________________________________________
from ASGNode import *

from ATOM3Type import *

from ATOM3String import *
from ATOM3Enum import *
from graph_File import *
class File(ASGNode, ATOM3Type):

   def __init__(self, parent = None):
      ASGNode.__init__(self)
      ATOM3Type.__init__(self)
      self.graphClass_ = graph_File
      self.parent = parent
      self.file_name=ATOM3String('filename_Trajectory.txt')
      self.direction=ATOM3Enum(['Out', 'In'], 0, 0)
      self.generatedAttributes = {'file_name': ('ATOM3String', ),
                                  'direction': ('ATOM3Enum', )      }
      self.realOrder = ['file_name','direction']
   def clone(self):
      cloneObject = File( self.parent )
      for atr in self.realOrder:
         cloneObject.setAttrValue(atr, self.getAttrValue(atr).clone() )
      ASGNode.cloneActions(self, cloneObject)

      return cloneObject
   def copy(self, other):
      ATOM3Type.copy(self, other)
      for atr in self.realOrder:
         self.setAttrValue(atr, other.getAttrValue(atr) )
      ASGNode.copy(self, other)

   def preCondition (self, actionID, * params):
      if self.graphObject_:
         return self.graphObject_.preCondition(actionID, params)
      else: return None
   def postCondition (self, actionID, * params):
      if self.graphObject_:
         return self.graphObject_.postCondition(actionID, params)
      else: return None


