from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_Integrator(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 92, 64
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_polygon(self.translate([16.0, 9.0, 16.0, 62.0, 55.0, 42.0, 55.0, 28.0, 55.0, 28.0]), tags = self.tag, stipple= '', width= '1.0', splinesteps= '12', outline= 'black', smooth= 0, fill= 'lightgreen')
        self.gf1 = GraphicalForm(drawing, h, "gf1")
        self.graphForms.append(self.gf1)
        h = drawing.create_rectangle(self.translate([2.0, 9.0, 16.0, 62.0]), tags = self.tag, stipple= '', width= '1.0', outline= 'black', fill= 'lightgreen')
        self.gf4 = GraphicalForm(drawing, h, "gf4")
        self.graphForms.append(self.gf4)
        h = drawing.create_line(self.translate([40.0, 27.0, 34.0, 20.0, 29.0, 26.0, 29.0, 48.0, 24.0, 54.0, 19.0, 47.0]), tags = self.tag, stipple= '', width= '2.0', splinesteps= '12', arrowshape= '8 10 3', arrow= 'none', capstyle= 'butt', smooth= 1, joinstyle= 'round', fill= 'black')
        self.gf7 = GraphicalForm(drawing, h, "gf7")
        self.graphForms.append(self.gf7)
        h = drawing.create_text(self.translate([10.0, 22.0]), tags = self.tag, stipple= '', width= '0', fill= 'black', text= 'IC', font= '{MS Sans Serif} 8', anchor= 'center', justify= 'left')
        self.gf8 = GraphicalForm(drawing, h, "gf8")
        self.graphForms.append(self.gf8)
        h = drawing.create_oval(self.translate([57.0, 36.0, 57.0, 36.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "block_out_port"
        h = drawing.create_oval(self.translate([11.0, 10.0, 11.0, 10.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "block_IC_port"
        h = drawing.create_oval(self.translate([3.0, 36.0, 3.0, 36.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        if self.semanticObject: drawText = self.semanticObject.block_name.toString(25,5)
        else: drawText = "<block_name>"
        h = drawing.create_text(self.translate([50.0, 15.0]), tags = self.tag, text = drawText, stipple= '', width= '0', fill= 'blue', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["block_name"] = h
        self.gf4 = GraphicalForm(drawing, h, "gf4")
        self.graphForms.append(self.gf4)


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_Integrator
