from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_FileIO(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 210, 162
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_polygon(self.translate([35.0, 7.0, 35.0, 54.0, 81.0, 30.0, 81.0, 29.0]), tags = self.tag, stipple= '', width= '1.0', splinesteps= '12', outline= 'black', smooth= 0, fill= 'lightgreen')
        self.gf0 = GraphicalForm(drawing, h, "gf0")
        self.graphForms.append(self.gf0)
        h = drawing.create_polygon(self.translate([32.0, 2.0, 32.0, 60.0, 93.0, 29.0]), tags = self.tag, stipple= '', width= '1.0', splinesteps= '12', outline= 'black', smooth= 0, fill= '')
        self.gf1 = GraphicalForm(drawing, h, "gf1")
        self.graphForms.append(self.gf1)
        h = drawing.create_oval(self.translate([34.0, 32.0, 34.0, 32.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "block_in_port"
        h = drawing.create_oval(self.translate([84.0, 29.0, 84.0, 29.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "block_out_port"
        if self.semanticObject: drawText = self.semanticObject.block_name.toString(25,5)
        else: drawText = "<block_name>"
        h = drawing.create_text(self.translate([49.0, 41.0]), tags = self.tag, text = drawText, stipple= '', width= '0', fill= 'blue', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["block_name"] = h
        self.gf3 = GraphicalForm(drawing, h, "gf3")
        self.graphForms.append(self.gf3)
        if self.semanticObject: drawText = self.semanticObject.block_filename.toString(25,5)
        else: drawText = "<block_filename>"
        h = drawing.create_text(self.translate([49.0, 21.0]), tags = self.tag, text = drawText, stipple= '', width= '0', fill= 'blue', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["block_filename"] = h
        self.gf2 = GraphicalForm(drawing, h, "gf2")
        self.graphForms.append(self.gf2)


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_FileIO
