from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_Product(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 80, 63
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_rectangle(self.translate([3.0, 3.0, 67.0, 60.0]), tags = self.tag, stipple= '', width= '1.0', outline= 'black', fill= 'lightgreen')
        self.gf4 = GraphicalForm(drawing, h, "gf4")
        self.graphForms.append(self.gf4)
        h = drawing.create_line(self.translate([19.0, 15.0, 50.0, 15.0]), tags = self.tag, stipple= '', width= '1.0', splinesteps= '12', arrowshape= '8 10 3', arrow= 'none', capstyle= 'butt', smooth= 0, joinstyle= 'round', fill= 'black')
        self.gf5 = GraphicalForm(drawing, h, "gf5")
        self.graphForms.append(self.gf5)
        h = drawing.create_line(self.translate([44.0, 16.0, 44.0, 38.0]), tags = self.tag, stipple= '', width= '1.0', splinesteps= '12', arrowshape= '8 10 3', arrow= 'none', capstyle= 'butt', smooth= 0, joinstyle= 'round', fill= 'black')
        self.gf7 = GraphicalForm(drawing, h, "gf7")
        self.graphForms.append(self.gf7)
        h = drawing.create_line(self.translate([23.0, 16.0, 23.0, 37.0]), tags = self.tag, stipple= '', width= '1.0', splinesteps= '12', arrowshape= '8 10 3', arrow= 'none', capstyle= 'butt', smooth= 0, joinstyle= 'round', fill= 'black')
        self.gf9 = GraphicalForm(drawing, h, "gf9")
        self.graphForms.append(self.gf9)
        h = drawing.create_text(self.translate([6.0, 30.0]), tags = self.tag, stipple= '', width= '0', fill= 'black', text= 'I', font= '{MS Sans Serif} 8', anchor= 'center', justify= 'left')
        self.gf10 = GraphicalForm(drawing, h, "gf10")
        self.graphForms.append(self.gf10)
        h = drawing.create_oval(self.translate([3.0, 29.0, 3.0, 29.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        h = drawing.create_oval(self.translate([34.0, 3.0, 34.0, 3.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        h = drawing.create_oval(self.translate([35.0, 60.0, 35.0, 60.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        h = drawing.create_text(self.translate([57.0, 27.0]), tags = self.tag, stipple= '', width= '0', fill= 'black', text= 'OUT', font= 'Helvetica -8', anchor= 'center', justify= 'left')
        self.gf6 = GraphicalForm(drawing, h, "gf6")
        self.graphForms.append(self.gf6)
        h = drawing.create_oval(self.translate([68.0, 30.0, 68.0, 30.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "block_out_port"


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_Product
