import tkFont

from graphEntity     import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_SimControl(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 336, 90
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []
        self.imageDict = self.getImageDict()

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_oval(self.translate([176.50000000000003, 30.0, 176.50000000000003, 30.0]), tags = (self.tag, 'connector'), outline = '', fill = '' )
        self.connectors.append( h )
        self.namedConnectors[h] = 'simControl_terminateMonitor_port' 

        h = drawing.create_rectangle(self.translate([6.75, 1.0000000000000002, 173.75, 77.0]), tags = self.tag, stipple = '', width = 1, outline = 'black', fill = 'yellow')
        self.gf3 = GraphicalForm(drawing, h, "gf3")
        self.graphForms.append(self.gf3)

        h = drawing.create_oval(self.translate([13.000000000000002, 18.250000000000004, 61.000000000000007, 62.25]), tags = self.tag, stipple = '', width = 1, outline = 'black', fill = 'white')
        self.gf12 = GraphicalForm(drawing, h, "gf12")
        self.graphForms.append(self.gf12)

        h = drawing.create_line(self.translate([37.75, 21.000000000000004, 38.0, 38.0]), tags = self.tag, stipple = '', width = 1, fill = 'black', smooth = 'False', splinesteps =  '12', capstyle = 'butt', joinstyle = 'round', arrow = 'none', arrowshape = (15,15,3))
        self.gf13 = GraphicalForm(drawing, h, "gf13")
        self.graphForms.append(self.gf13)

        h = drawing.create_line(self.translate([37.0, 37.0, 29.000000000000007, 42.000000000000007]), tags = self.tag, stipple = '', width = 1, fill = 'grey45', smooth = 'False', splinesteps =  '12', capstyle = 'butt', joinstyle = 'round', arrow = 'none', arrowshape = (15,15,3))
        self.gf21 = GraphicalForm(drawing, h, "gf21")
        self.graphForms.append(self.gf21)

        h = drawing.create_polygon(self.translate([180.0, 24.0, 180.0, 24.0, 180.0, 38.0, 168.00000000000003, 30.000000000000028]), tags = self.tag, stipple = '', width = 1, outline = 'black', fill = 'red1', smooth = 'False', splinesteps =  '12')
        self.gf46 = GraphicalForm(drawing, h, "gf46")
        self.graphForms.append(self.gf46)

        h = drawing.create_polygon(self.translate([20.0, 76.0, 20.0, 76.571428571428655, 39.0, 76.571428571428655, 31.0, 88.0]), tags = self.tag, stipple = '', width = 1, outline = 'black', fill = 'blue1', smooth = '0', splinesteps =  '12')
        self.gf58 = GraphicalForm(drawing, h, "gf58")
        self.graphForms.append(self.gf58)

        h = drawing.create_polygon(self.translate([80.0, 77.0, 80.0, 77.476190476190553, 99.0, 77.476190476190553, 91.0, 87.0]), tags = self.tag, stipple = '', width = 1, outline = 'black', fill = 'blue1', smooth = '0', splinesteps =  '12')
        self.gf63 = GraphicalForm(drawing, h, "gf63")
        self.graphForms.append(self.gf63)

        h = drawing.create_polygon(self.translate([140.0, 76.0, 140.0, 76.476190476190553, 159.0, 76.476190476190553, 151.0, 86.0]), tags = self.tag, stipple = '', width = 1, outline = 'black', fill = 'blue1', smooth = '0', splinesteps =  '12')
        self.gf72 = GraphicalForm(drawing, h, "gf72")
        self.graphForms.append(self.gf72)

        h = drawing.create_oval(self.translate([32.0, 81.0, 32.0, 81.0]), tags = (self.tag, 'connector'), outline = '', fill = '' )
        self.connectors.append( h )
        self.namedConnectors[h] = 'simControl_discreteTime_port' 

        h = drawing.create_oval(self.translate([90.0, 81.0, 90.0, 81.0]), tags = (self.tag, 'connector'), outline = '', fill = '' )
        self.connectors.append( h )
        self.namedConnectors[h] = 'simControl_timeIncrement_port' 

        h = drawing.create_oval(self.translate([151.0, 81.0, 151.0, 81.0]), tags = (self.tag, 'connector'), outline = '', fill = '' )
        self.connectors.append( h )
        self.namedConnectors[h] = 'simControl_continuousTime_port' 

        font = tkFont.Font( family='Helvetica', size=10, weight='bold', slant='roman', underline=0)
        h = drawing.create_text(self.translate([52.000000000000007, 10.0]), tags = self.tag, font=font, fill = 'blue', anchor = 'center', text = 'SimControl', width = '0', justify= 'left', stipple='' )
        self.gf1 = GraphicalForm(drawing, h, 'gf1', fontObject=font)
        self.graphForms.append(self.gf1)

        font = tkFont.Font( family='Helvetica', size=8, weight='normal', slant='roman', underline=0)
        h = drawing.create_text(self.translate([124.75000000000001, 30.0]), tags = self.tag, font=font, fill = 'black', anchor = 'center', text = 'termSignal (>0)', width = '0', justify= 'left', stipple='' )
        self.gf4 = GraphicalForm(drawing, h, 'gf4', fontObject=font)
        self.graphForms.append(self.gf4)

        font = tkFont.Font( family='Helvetica', size=8, weight='normal', slant='roman', underline=0)
        h = drawing.create_text(self.translate([146.00000000000003, 69.0]), tags = self.tag, font=font, fill = 'black', anchor = 'center', text = '= time (R)', width = '0', justify= 'left', stipple='' )
        self.gf8 = GraphicalForm(drawing, h, 'gf8', fontObject=font)
        self.graphForms.append(self.gf8)

        font = tkFont.Font( family='Helvetica', size=8, weight='normal', slant='roman', underline=0)
        h = drawing.create_text(self.translate([42.5, 69.0]), tags = self.tag, font=font, fill = 'black', anchor = 'center', text = 'time (N)  x', width = '0', justify= 'left', stipple='' )
        self.gf9 = GraphicalForm(drawing, h, 'gf9', fontObject=font)
        self.graphForms.append(self.gf9)

        if self.semanticObject: drawText = self.semanticObject.simControl_timeIncrement.toString(80,10)
        else: drawText = "<simControl_timeIncrement>"
        font = tkFont.Font( family='Helvetica', size=8, weight='normal', slant='roman', underline=0)
        h = drawing.create_text(self.translate([73.000000000000014, 68.500000000000014]), tags = self.tag, font=font, fill = 'blue', anchor = 'w', text = drawText, width = '0', justify= 'left', stipple='' )
        self.attr_display["simControl_timeIncrement"] = h
        self.gf7 = GraphicalForm(drawing, h, 'gf7', fontObject=font)
        self.graphForms.append(self.gf7)

        if self.semanticObject: drawText = self.semanticObject.simControl_time.toString(80,10)
        else: drawText = "<simControl_time>"
        font = tkFont.Font( family='Helvetica', size=6, weight='normal', slant='roman', underline=0)
        h = drawing.create_text(self.translate([37.75, 49.0]), tags = self.tag, font=font, fill = 'blue', anchor = 'center', text = drawText, width = '0', justify= 'left', stipple='' )
        self.attr_display["simControl_time"] = h
        self.gf6 = GraphicalForm(drawing, h, 'gf6', fontObject=font)
        self.graphForms.append(self.gf6)

        font = tkFont.Font( family='Helvetica', size=8, weight='normal', slant='roman', underline=0)
        h = drawing.create_text(self.translate([89.0, 59.000000000000007]), tags = self.tag, font=font, fill = 'black', anchor = 'center', text = 't_incr', width = '0', justify= 'left', stipple='' )
        self.gf34 = GraphicalForm(drawing, h, 'gf34', fontObject=font)
        self.graphForms.append(self.gf34)



    def postCondition( self, actionID, * params):
        return None

    def preCondition( self, actionID, * params):
        return None

    def getImageDict( self ):
        imageDict = dict()

        return imageDict

new_class = graph_SimControl
