import tkFont

from graphEntity     import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_Sink(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 84, 66
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []
        self.imageDict = self.getImageDict()

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_rectangle(self.translate([2.0, 2.0, 82.0, 65.0]), tags = self.tag, stipple = '', width = 1, outline = 'black', fill = 'green')
        self.gf34 = GraphicalForm(drawing, h, "gf34")
        self.graphForms.append(self.gf34)

        h = drawing.create_polygon(self.translate([2.0, 2.0, 22.0, 22.0, 42.0, 42.0, 82.0, 2.0]), tags = self.tag, stipple = '', width = 1, outline = 'black', fill = 'blue1', smooth = 'False', splinesteps =  '12')
        self.gf36 = GraphicalForm(drawing, h, "gf36")
        self.graphForms.append(self.gf36)

        h = drawing.create_line(self.translate([42.0, 54.0, 42.0, 49.0]), tags = self.tag, stipple = '', width = 1, fill = 'blue1', smooth = 'False', splinesteps =  '12', capstyle = 'butt', joinstyle = 'round', arrow = 'none', arrowshape = (15,15,3))
        self.gf37 = GraphicalForm(drawing, h, "gf37")
        self.graphForms.append(self.gf37)

        h = drawing.create_line(self.translate([42.0, 62.0, 42.0, 57.0]), tags = self.tag, stipple = '', width = 1, fill = 'blue1', smooth = 'False', splinesteps =  '12', capstyle = 'butt', joinstyle = 'round', arrow = 'none', arrowshape = (15,15,3))
        self.gf39 = GraphicalForm(drawing, h, "gf39")
        self.graphForms.append(self.gf39)

        h = drawing.create_oval(self.translate([42.0, 2.0, 42.0, 2.0]), tags = (self.tag, 'connector'), outline = '', fill = '' )
        self.connectors.append( h )
        self.namedConnectors[h] = 'block_in_port' 



    def postCondition( self, actionID, * params):
        return None

    def preCondition( self, actionID, * params):
        return None

    def getImageDict( self ):
        imageDict = dict()

        return imageDict

new_class = graph_Sink
