from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_Test(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 76, 69
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 0
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_polygon(self.translate([30.0, 7.0, 2.0, 35.0, 28.0, 61.0, 56.0, 33.0, 57.0, 33.0]), tags = self.tag, stipple= '', width= '1.0', splinesteps= '12', outline= 'black', smooth= 0, fill= 'lightgreen')
        self.gf3 = GraphicalForm(drawing, h, "gf3")
        self.graphForms.append(self.gf3)
        h = drawing.create_oval(self.translate([4.0, 36.0, 4.0, 36.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "block_in_port"
        h = drawing.create_oval(self.translate([54.0, 33.0, 54.0, 33.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "block_out_port"
        h = drawing.create_oval(self.translate([30.0, 8.0, 30.0, 8.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "block_TRUE_in_port"
        h = drawing.create_oval(self.translate([28.0, 60.0, 28.0, 60.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'blue')
        self.connectors.append(h)
        self.namedConnectors[h] = "block_FALSE_in_port"
        h = drawing.create_text(self.translate([19.0, 36.0]), tags = self.tag, stipple= '', width= '0', fill= 'black', text= '>0?', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.gf4 = GraphicalForm(drawing, h, "gf4")
        self.graphForms.append(self.gf4)
        h = drawing.create_text(self.translate([40.0, 35.0]), tags = self.tag, stipple= '', width= '0', fill= 'black', text= 'out', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.gf5 = GraphicalForm(drawing, h, "gf5")
        self.graphForms.append(self.gf5)
        h = drawing.create_text(self.translate([50.0, 7.0]), tags = self.tag, stipple= '', width= '0', fill= 'black', text= 'TRUE', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.gf6 = GraphicalForm(drawing, h, "gf6")
        self.graphForms.append(self.gf6)
        h = drawing.create_text(self.translate([55.0, 62.0]), tags = self.tag, stipple= '', width= '0', fill= 'black', text= 'FALSE', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.gf7 = GraphicalForm(drawing, h, "gf7")
        self.graphForms.append(self.gf7)


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_Test
