from graphEntity          import *
from GraphicalForm   import *
from ATOM3Constraint import *

class graph_Time(graphEntity):

    def __init__(self, x, y, semObject = None):
        self.semanticObject = semObject
        self.sizeX, self.sizeY = 108, 70
        graphEntity.__init__(self, x, y)
        self.ChangesAtRunTime = 1
        self.constraintList = []
        if self.semanticObject: atribs = self.semanticObject.attributesToDraw()
        else: atribs = None
        self.graphForms = []

    def DrawObject(self, drawing, showGG = 0):
        self.dc = drawing
        if showGG and self.semanticObject: self.drawGGLabel(drawing)
        h = drawing.create_rectangle(self.translate([28.0, 1.0, 82.0, 62.0]), tags = self.tag, stipple= '', width= '1.0', outline= 'black', fill= 'lightgreen')
        self.gf2 = GraphicalForm(drawing, h, "gf2")
        self.graphForms.append(self.gf2)
        h = drawing.create_oval(self.translate([34.0, 4.0, 75.0, 46.0]), tags = self.tag, stipple= '', width= '1.0', outline= 'black', fill= 'white')
        self.gf3 = GraphicalForm(drawing, h, "gf3")
        self.graphForms.append(self.gf3)
        h = drawing.create_line(self.translate([55.0, 9.0, 55.0, 25.0, 47.0, 28.0]), tags = self.tag, stipple= '', width= '1.0', splinesteps= '12', arrowshape= '8 10 3', arrow= 'none', capstyle= 'butt', smooth= 0, joinstyle= 'round', fill= 'black')
        self.gf4 = GraphicalForm(drawing, h, "gf4")
        self.graphForms.append(self.gf4)
        h = drawing.create_oval(self.translate([84.0, 30.0, 84.0, 30.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        h = drawing.create_oval(self.translate([30.0, 30.0, 30.0, 30.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        h = drawing.create_oval(self.translate([57.0, 65.0, 57.0, 65.0]), tags = (self.tag, "connector"), stipple= '', width= '1.0', outline= 'black', fill= 'red')
        self.connectors.append(h)
        if self.semanticObject: drawText = self.semanticObject.block_out_value.toString(25,5)
        else: drawText = "<block_out_value>"
        h = drawing.create_text(self.translate([54.0, 55.0]), tags = self.tag, text = drawText, stipple= '', width= '0', fill= 'blue', font= 'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["block_out_value"] = h
        self.gf5 = GraphicalForm(drawing, h, "gf5")
        self.graphForms.append(self.gf5)
        if self.semanticObject: drawText = self.semanticObject.block_name.toString(25,5)
        else: drawText = "<block_name>"
        h = drawing.create_text(self.translate([90.0, 7.0]), tags =
self.tag, text = drawText, stipple= '', width= '0', fill= 'blue', font=
'Helvetica -12', anchor= 'center', justify= 'left')
        self.attr_display["block_name"] = h
        self.gf6 = GraphicalForm(drawing, h, "gf6")
        self.graphForms.append(self.gf6)


    def postCondition (self, actionID, * params):
       return None

    def preCondition (self, actionID, * params):
       return None


new_class = graph_Time
